BoardMapping

Add a mapping

POST
/public-api/v1/BoardMapping/{boardId}/Add
cURL
curl --request POST \
  --url '/public-api/v1/BoardMapping/{boardId}/Add' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "Name": "string",
  "PropertiesMapping": {},
  "KeyColumnName": "string"
}'

Autorizaciones

  • user-api-keystringheader

    User's API Key · apiKey

Parámetros de ruta

  • boardIdstringobligatorio

Cuerpo

application/json

Mapping Data

  • Namestringobligatorio

    Name of mapping

  • PropertiesMappingobjectobligatorio

    Mapping of properties (PropertyRef / ImportCSVPropertyMapping).

    Each key is the Id of a board property (26-character ULID, e.g. "01KT4Z8Q2M5R7XJ6N3V9B1C0DE") and each value describes how its CSV column is read.

    N.B : The key column (KeyColumnName) must be mapped by one of these properties.

  • KeyColumnNamestringobligatorio

    Name of the CSV column used as the unique key to match rows with existing entities

Respuestas

OK